Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-99165

cmake doesn't complain with android-30, but fails with unknown API S (ie android-31)

    XMLWordPrintable

    Details

    • Commits:
      2f30e9d751 (qt/qtbase/dev) 2f30e9d751 (qt/tqtc-qtbase/dev) da3ea51ed4 (qt/qtbase/6.2) 5ede0316c9 (qt/qtbase/6.3) da3ea51ed4 (qt/tqtc-qtbase/6.2) 5ede0316c9 (qt/tqtc-qtbase/6.3)

      Description

      Build Qt for Android v 6.2.2 with android SDK 30 (android-30)

      Cmake will accept and use android-30 but later on, during build, there is this error.

      FAILED: qtconnectivity/src/android/nfc/CMakeFiles/Qt6AndroidNfc.dir/java_compiled_Qt6AndroidNfc z
       cd /builds/bastif/qt-android/debian/output/source_dir/qtconnectivity/src/android/nfc && /usr/bin/cmake -DCMAKE_JAVA_CLASS_OUTPUT_PATH=/builds/bastif/qt-android/debian/output/source_dir/debian/build-arm64-v8a/qtconnectivity/src/android/nfc/CMakeFiles/Qt6AndroidNfc.dir -DCMAKE_JAR_CLASSES_PREFIX= -P /usr/share/cmake-3.18/Modules/UseJava/ClearClassFiles.cmake && /usr/bin/javac -source 8 -target 8 -Xlint:unchecked -bootclasspath /builds/bastif/qt-android/android-sdk/platforms/android-30/android.jar -classpath :/builds/bastif/qt-android/debian/output/source_dir/qtconnectivity/src/android/nfc:/builds/bastif/qt-android/debian/output/source_dir/debian/build-arm64-v8a/qtbase/jar:/builds/bastif/qt-android/android-sdk/platforms/android-30/android.jar -d /builds/bastif/qt-android/debian/output/source_dir/debian/build-arm64-v8a/qtconnectivity/src/android/nfc/CMakeFiles/Qt6AndroidNfc.dir @/builds/bastif/qt-android/debian/output/source_dir/debian/build-arm64-v8a/qtconnectivity/src/android/nfc/CMakeFiles/Qt6AndroidNfc.dir/java_sources && /usr/bin/cmake -E touch /builds/bastif/qt-android/debian/output/source_dir/debian/build-arm64-v8a/qtconnectivity/src/android/nfc/CMakeFiles/Qt6AndroidNfc.dir/java_compiled_Qt6AndroidNfc
       src/org/qtproject/qt/android/nfc/QtNfc.java:89: error: cannot find symbol
        int flags = (Build.VERSION.SDK_INT >= Build.VERSION_CODES.S) ? PendingIntent.FLAG_MUTABLE
        ^
        symbol: variable S
        location: class VERSION_CODES
       src/org/qtproject/qt/android/nfc/QtNfc.java:89: error: cannot find symbol
        int flags = (Build.VERSION.SDK_INT >= Build.VERSION_CODES.S) ? PendingIntent.FLAG_MUTABLE
        ^
        symbol: variable FLAG_MUTABLE
        location: class PendingIntent
       2 errors
      

       
      So android-31 seems mandatory? But at configure time it doesn't complain of android-30.

      There was no such problem with 6.2.1

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              semlanik Alexey Edelev
              Reporter:
              ban F S
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes